Get Time Off Requests Count
get
https://app.untetherlabs.com/api/v1/time-off/requests/countGet the total count of time off requests for the current filters.
Query parameters#
providerIduuidFilter to requests for a specific provider.
teamIdone ofFilter to requests for providers in specific teams.
Option 1 — uuid
uuid
Option 2 — uuid[]
uuid[]
policyIdone ofFilter to requests for specific policies.
Option 1 — uuid
uuid
Option 2 — uuid[]
uuid[]
startDatestringFilter to requests whose start date is on or after the given timestamp.
endDatestringFilter to requests whose end date is earlier than the provided timestamp.
statusone ofFilter to requests with any of the given statuses.
Option 1 — TimeOffRequestStatus
enum
- pending
- approved
- rejected
- cancelled
- pending_sync
- sync_failed
Option 2 — TimeOffRequestStatus[]
TimeOffRequestStatus[]
- pending
- approved
- rejected
- cancelled
- pending_sync
- sync_failed
querystringexpandstringAvailable expansions: policy, provider, rejectedBy
See Query Parameters for more information on expansions.
sortstringAvailable fields: createdAt, startDate
See Query Parameters for more information on sorting.
Response 200#
countnumber